Skip to main content
POST
/
rooms
Create a new room
curl --request POST \
  --url https://api.example.com/rooms \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>"
}
'
{
  "success": true,
  "data": {
    "room": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "host_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "host": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "username": "<string>",
        "role": "host",
        "is_active": true,
        "created_at": "2023-11-07T05:31:56Z"
      },
      "library_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "analytics": {
        "google_tag_manager": {
          "container_id": "GTM-XXXXXX",
          "enabled": true
        }
      },
      "active_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  },
  "timestamp": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
Required string length: 3 - 255
description
string
analytics
object

Response

201 - application/json

Room created

success
boolean
Example:

true

data
object
timestamp
integer<int64>